
; In Windows the .emacs file is normally in c:/
; In Unix the .emacs file is in normally located in the root of your home directory.

; Loads the LAML emacs support.
; This loads, in turn, loads laml-general, laml-mode, laml-execute, and laml-template.
(load "@laml-dir@laml.el") 

; -----------------------------------------------------------------------------------
; Top level contribution to the Emacs tools menu:

(define-key global-map [menu-bar tools menu-forms-sep-tools]
    '("----"))

(define-key global-map [menu-bar tools laml]
    (cons "Laml" (make-sparse-keymap "Laml")))

; ------------------------------------------------------------------------------------

; Loads the Scheme Elucidator 2 Emacs support.
; Establishes the Elucidator keyboard shortcuts (C-e ...) and the elucidator menu items
; in Tools > LAML > Elucidator.
; You can eliminate the Elucidator support by putting a semicolon comment in front of
; the following load command:
@elucidator-comment-glyph@(load "@laml-dir@styles/xml-in-laml/elucidator/elucidator.el")  

; Loads the LENO emacs support.
; Establishes the LENO keyboard shortcuts (C-l ...) and the LENO menu item.
; You can eliminate the LENO support of LAML by putting a semicolon comment in front of
; the following load command:
@leno-comment-glyph@(load "@laml-dir@styles/lecture-notes/leno.el")

; Load the LAML photo show emacs support.
@photoshow-comment-glyph@(load "@laml-dir@styles/xml-in-laml/photo-show/photo-show.el")

; Load the LAML keybinding.
(load "@laml-dir@emacs-support/laml-key-menu-bindings.el") 